// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/OmniFoundation/DataStructures.subproj/OFMultiValueDictionary.h,v 1.6 1999/08/05 05:04:54 bungi Exp $

#import <OmniFoundation/OFObject.h>

@class NSArray;

@interface OFMultiValueDictionary : OFObject
{
    NSMutableDictionary *dictionary;
}

- (NSArray *)arrayForKey:(NSString *)aKey;
- (id)firstObjectForKey:(NSString *)aKey;
- (id)lastObjectForKey:(NSString *)aKey;
- (void)addObject:(id)anObject forKey:(NSString *)aKey;
- (NSEnumerator *)keyEnumerator;

- (NSMutableDictionary *)dictionary;

@end
